using Newtonsoft.Json;

namespace GameFix
{
    public static class JsonHelper
    {
        public static T DeserializeObject<T>(string jsonData)
        {
            return JsonConvert.DeserializeObject<T>(jsonData);
        }

        public static T DeserializeObject<T>(string jsonData, JsonSerializerSettings settings)
        {
            return JsonConvert.DeserializeObject<T>(jsonData, settings);
        }

        public static string SerializeObject(object obj)
        {
            return JsonConvert.SerializeObject(obj);
        }
        
        public static string SerializeObject(object obj, JsonSerializerSettings settings)
        {
            return JsonConvert.SerializeObject(obj, settings);
        }
        
    }
}